Subject: bug#49194: kill-whole-line 'plus-newline-even-if-none-in-reality

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Jun 2021 21:42:56 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 24 Jun 2021 20:26:23 +0200
> Cc: [email-masked]
> 
> 積丹尼 Dan Jacobson <[email-masked]> writes:
> 
> > No. I'm just saying that a bonus newline should be added to what gets
> > copied (so later, upon C-y, it is present.)
> 
> I think that sounds like really surprising behaviour, but I guess if
> it's hidden behind a new `kill-whole-line' value, I guess I don't have
> any objections to adding it.  Any other opinions?

AFAIU, what the OP wants already happens: the newline is saved in
kill-ring together with the line, and is yanked back with C-y.  So I
don't think I understand the request.